library(CSTools)
library(s2dverification)
setwd("/esarchive/scratch/nperez/git/Flor/DL_DoswcalingPoster/")
#exp <- lonlat_prec

startdates <- sapply(1979:2018, function(x) {
               paste0(x, sprintf('%02d', 1), '01')})
path <- list(name = 'ERA5AI',
 path = '/esarchive/exp/tum/era5ai/$STORE_FREQ$_mean/$VAR_NAME$_f1h-r1.40625/$VAR_NAME$_$YEAR$$MONTH$01.nc')
exp <- CST_Load(var = 'prlr', exp = NULL,
                obs = list(path), leadtimemax = 31,
                sdates =  startdates,
                latmin = 20, latmax = 80, lonmin = -20, lonmax = 40,
                output = 'lonlat', storefreq = "daily",  nprocs = 1)

PlotEquiMap(exp$data[1,1,1,1,,], lon = exp$lon, lat = exp$lat,
            filled.continents = FALSE)


climWeights <- CST_RFWeights('wc2.0_30s_prec_eu.nc',  nf = 20,
                             lon = exp$lon, lat = exp$lat)

exp_down_weights <- CST_RainFARM(exp, nf = 20, kmin = 1, nens = 3, 
                                 weights = climWeights, 
                                 time_dim = c("member", "ftime"))

cols <- rev(terrain.colors(20))
cols <- topo.colors(20)
brks <- round(seq(0, 500, length.out = length(cols) + 1), 2)

PlotEquiMap(exp_down_weights$data[1,1,1,1,1,,] * 86400 * 1000,
            lat = exp_down_weights$lat, lon = exp_down_weights$lon,
            filled.continents = FALSE, cols = cols, brks = brks)



